<h1 style="font-family: courier;" align="center">satshakit</h1>
<p align="center">
<img src="media/readme/satshakites.jpg" width="70%">
<div align="center"><i>An improved & fabbable 100% Arduino IDE/libraries compatible board.</i></div>
</p>  


The story
--

satshakit born during my **[FabAcademy2015](http://fabacademy.org/archives/2015/eu/students/ingrassia.daniele/index.html)**  as one the first test boards for my quadcopter final project. As some of my fellow students had difficulties with **[Fabkit](http://fabacademy.org/archives/2015/doc/projects/fabkit-0.4.html)**, they tried to make this prototype board. The board was very appreciated that now almost all my fellow students made it for their exercises, or use it as a **starting point for their final projects**. Thus I decided to do this release, if anyone wants to try it. Now, one year later, I am again in a FabLab developing new satshakit boards in my spare time.

What is satshakit?
--

satshakit is a **100% Arduino IDE  and libraries compatible**, fabbable and open source board, and also an improved version of [Fabkit](http://fabacademy.org/archives/2015/doc/projects/fabkit-0.4.html). 

Main **improvements and features** over Fabkit are:

- **16Mhz** instead of 8Mhz
- **crystal** instead of resonator
- **costs less** (7-9 euro vs 13 euro)
- 100% compatible with **default Arduino IDE** (satshakit is recognized as Arduino UNO)
- ADC6/7 connected instead of ADC6/7 not connected (satshakit laser and cnc)
- larger space to easy soldering (satshakit laser and cnc)

Find here all the available satshakit boards: **[satshakit github organization](https://github.com/satshakit)**

satshakit laser and cnc
--

**satshakit laser** and **satshakit cnc** are the standard versions of the satshakit. They are actually the same board, showing some layout differences to improve the fabrication process using a **fiber laser** cutter machine, or a little **cnc mill**. These satshakits are meant to be a general purpose board, having the full Arduino pinout plus ADC6/7 pins, large space for easy soldering and two led onboard for power and pin 13.

Here is the **satshakit laser board**:

<img src="media/satshakit_laser/satshakit_laser_board.png" width="70%">

<img src="media/satshakit_laser/satshakit_laser.png" width="70%">

And this is the **satshakit cnc board**:

<img src="media/satshakit_cnc/satshakit_cnc_board.jpg" width="70%">

<img src="media/satshakit_cnc/satshakit_cnc_internal.png" width="70%">

**downloads (right click, download as)**

- [satshakit cnc svg](https://raw.githubusercontent.com/satshakit/satshakit/master/media/satshakit_cnc/satshakit_cnc.svg)
- [satshakit cnc internal png](https://raw.githubusercontent.com/satshakit/satshakit/master/media/satshakit_cnc/satshakit_cnc_internal.png)
- [satshakit cnc holes png](https://raw.githubusercontent.com/satshakit/satshakit/master/media/satshakit_cnc/satshakit_cnc_holes.png)
- [satshakit cnc cut png](https://raw.githubusercontent.com/satshakit/satshakit/master/media/satshakit_cnc/satshakit_cnc_cut.png)
- [satshakit cnc cut tips png](https://raw.githubusercontent.com/satshakit/satshakit/master/media/satshakit_cnc/satshakit_cnc_cut_tip.png)
- [satshakit cnc schematic](https://raw.githubusercontent.com/satshakit/satshakit/master/eagle_projects/satshakit_cnc/satshakit_cnc.sch)
- [satshakit cnc board](https://raw.githubusercontent.com/satshakit/satshakit/master/eagle_projects/satshakit_cnc/satshakit_cnc.brd)
- [satshakit laser svg](https://raw.githubusercontent.com/satshakit/satshakit/master/media/satshakit_laser/satshakit_laser.svg)
- [satshakit laser schematic](https://raw.githubusercontent.com/satshakit/satshakit/master/eagle_projects/satshakit_laser/satshakit_laser.sch)
- [satshakit laser board](https://raw.githubusercontent.com/satshakit/satshakit/master/eagle_projects/satshakit_laser/satshakit_laser.brd)
- [satshakit laser and cnc BOM Open Document](https://github.com/satshakit/satshakit/raw/master/docs/satshakit/satshakit_BOM.ods)
- [satshakit laser and cnc BOM Excel](https://github.com/satshakit/satshakit/raw/master/docs/satshakit/satshakit_BOM.xlsx)

**media**

satshakit laser:

<img src="media/satshakit_laser/satshakit_laser_1.jpg" width="70%">

satshakit cnc:

<img src="media/satshakit_cnc/satshakit_cnc_1.jpg" width="70%">

<img src="media/satshakit_cnc/satshakit_cnc_2.jpg" width="70%">

satshakit cnc blinks:

<a href="http://www.youtube.com/watch?feature=player_embedded&v=38LhM9Qynuc
" target="_blank"><img src="http://img.youtube.com/vi/38LhM9Qynuc/0.jpg" 
alt="http://img.youtube.com/vi/38LhM9Qynuc/0.jpg" width="240" height="180" border="10" /></a>

satshakit programmed with a FabISP:

<a href="http://www.youtube.com/watch?feature=player_embedded&v=YNITEv0ebkc
" target="_blank"><img src="http://img.youtube.com/vi/YNITEv0ebkc/0.jpg" 
alt="http://img.youtube.com/vi/YNITEv0ebkc/0.jpg" width="240" height="180" border="10" /></a>


Here are some videos of satshakit while is working with **different configuration and/or sensors**:

<a href="http://www.youtube.com/watch?feature=player_embedded&v=Gk_RFebLofY
" target="_blank"><img src="http://img.youtube.com/vi/Gk_RFebLofY/0.jpg" 
alt="http://img.youtube.com/vi/Gk_RFebLofY/0.jpg" width="240" height="180" border="10" /></a>

<a href="http://www.youtube.com/watch?feature=player_embedded&v=ZQmN3uTlZuc
" target="_blank"><img src="http://img.youtube.com/vi/ZQmN3uTlZuc/0.jpg" 
alt="http://img.youtube.com/vi/ZQmN3uTlZuc/0.jpg" width="240" height="180" border="10" /></a>

<a href="http://www.youtube.com/watch?feature=player_embedded&v=kZMLoyP47z4
" target="_blank"><img src="http://img.youtube.com/vi/kZMLoyP47z4/0.jpg" 
alt="http://img.youtube.com/vi/kZMLoyP47z4/0.jpg" width="240" height="180" border="10" /></a>

<a href="http://www.youtube.com/watch?feature=player_embedded&v=9XcrL3Ypu_s
" target="_blank"><img src="http://img.youtube.com/vi/9XcrL3Ypu_s/0.jpg" 
alt="http://img.youtube.com/vi/9XcrL3Ypu_s/0.jpg" width="240" height="180" border="10" /></a>

<a href="http://www.youtube.com/watch?feature=player_embedded&v=zIuTUFps1bE
" target="_blank"><img src="http://img.youtube.com/vi/zIuTUFps1bE/0.jpg" 
alt="http://img.youtube.com/vi/zIuTUFps1bE/0.jpg" width="240" height="180" border="10" /></a>

satshakit car with sonars sensors and Raspberry Pi:

<a href="http://www.youtube.com/watch?feature=player_embedded&v=A0I6Nj6D2sE
" target="_blank"><img src="http://img.youtube.com/vi/A0I6Nj6D2sE/0.jpg" 
alt="http://img.youtube.com/vi/A0I6Nj6D2sE/0.jpg" width="240" height="180" border="10" /></a>

satshakit little radar, a **satshakit modified board** with an ULN2003A:

<a href="http://www.youtube.com/watch?feature=player_embedded&v=0FD7bHNqlxU
" target="_blank"><img src="http://img.youtube.com/vi/0FD7bHNqlxU/0.jpg" 
alt="http://img.youtube.com/vi/0FD7bHNqlxU/0.jpg" width="240" height="180" border="10" /></a>

satshakit power board
--

Due to the power requirements of a multicore satshakit system and to eventually provide power to **3.3V devices**, I have also developed a simple power board. This power board can work with 7V-12V as input voltage, and give out 5V and 3.3V. I made this power board with the components I had available, obviously you can make this board only with SMD components.

<img src="media/satshakit_power_board/power_board.jpeg" width="60%">

**downloads (right click, download as)**

- [satshakit power board schematic](https://raw.githubusercontent.com/satshakit/satshakit/master/eagle_projects/satshakit_power_board/satshakit_power_board.sch)
- [satshakit power board board](https://raw.githubusercontent.com/satshakit/satshakit/master/eagle_projects/satshakit_power_board/satshakit_power_board.brd)

Here is a picture of a soldered power board:

<img src="media/satshakit_power_board/power_board.jpg" width="60%">

Getting Started
--
A satshakit board is **totally like an Arduino board**, thus is possible to use the Arduino IDE without any modification. When you finish solder satshakit, you're ready to program it. If you want to use satshakit as an Arduino, you first need to **upload Arduino bootloader**. This will also set the ATmega328P fuses as the same of an Arduino UNO.
 To do this you need to use a **programmer**, for example another Arduino or FabISP. If you plan to program a satshakit with an Arduino, be sure to upload the **Arduino as ISP skecth** before connecting the satshakit to it.

Here are the connection schemas to program **satshakit laser** or **satshakit cnc** with an Arduino as ISP or with a FabISP:

<img src="media/satshakit_laser/satshakit_laser_arduino_programming.png" width="60%">

<img src="media/satshakit_laser/satshakit_laser_fabisp_programming.png" width="60%">

Once everything is connected, follow these steps to upload Arduino bootloader:

1. open Arduino IDE 
2. select proper programmer (for example Arduino as ISP or USBtinyISP) 
3. select Arduino UNO as board
4. click on tools->Burn Bootloader

With a satshakit cnc or satshakit laser you can use an **FTDI USB cable to upload and use you favourite sketch** without the need to use a programmer anymore.

Here is the connection schema to program a satshakit using the FTDI cable:

<img src="media/satshakit_laser/satshakit_laser_programming_FTDI.jpg" width="60%">

Remember that if you don't have an FTDI cable you always need a programmer, and to select **File->Upload using a programmer** to upload the code to satshakit.

To use a satshakit like an Arduino, here is the Arduino pinout on satshakit cnc or satshakit laser:

<img src="media/satshakit_laser/satshakit_laser_arduino_pin_mapping.png" width="60%">

What's in the repo
--
- **[docs](https://github.com/satshakit/satshakit/tree/master/docs)**: BOM files for Farnell
- **[egle projects](https://github.com/satshakit/satshakit/tree/master/eagle_projects)**: eagle projects of satshakit
- **[media](https://github.com/satshakit/satshakit/tree/master/media)**: svg of satshakits, connections schemas, images for cnc milling machine and fiber laser cutter, other images

Authors
--

- Daniele Ingrassia and [Engineering Ingegneria Informatica](http://www.eng.it)

Contact
--
- **ingrassiada@gmail.com**
- **[linkedin](http://it.linkedin.com/in/danieleingrassia)**


Thanks
--
[Fablab opendot](http://www.opendotlab.it/)<br />
info@opendotlab.it<br />
Via Tertulliano N70, 20137, Milan, Italy<br />
 +39.02.36519890<br />

[Fablab Kamp-Lintfort](http://fablab.hochschule-rhein-waal.de/index.php/de/)<br />
Hochschule Rhein-Waal<br />
Friedrich-Heinrich-Allee 25, 47475 Kamp-Lintfort, Germany<br />
fablab@hochschule-rhein-waal.de


License
--
This work is licensed under the terms of Attribution-NonCommercial-ShareAlike 4.0 International ([CC BY-NC-SA 4.0](https://creativecommons.org/licenses/by-nc-sa/4.0/)).

Disclaimer  
--

<div class="align-justify">
This hardware/software is provided "as is", and you use the hardware/software at your own risk. Under no circumstances shall any author be liable for direct, indirect, special, incidental, or consequential damages resulting from the use, misuse, or inability to use this hardware/software, even if the authors have been advised of the possibility of such damages.</div>
